"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UpdateTranslatableCollectionRepository = void 0;
var _GetModel = require("../../GetModel");
var _TranslatableCollectionMapper = require("./mappers/TranslatableCollectionMapper");
var _error = require("@webiny/error");
var _utils = require("@webiny/utils");
class UpdateTranslatableCollectionRepository {
  constructor(context) {
    this.context = context;
  }
  async execute(collection) {
    const model = await _GetModel.GetModel.byModelId(this.context, "translatableCollection");
    const dto = _TranslatableCollectionMapper.TranslatableCollectionMapper.toDTO(collection);
    if (!dto.id) {
      throw new _error.WebinyError({
        message: "Updating a record without an ID is not allowed!",
        code: "UPDATE_WITHOUT_ID_NOT_ALLOWED"
      });
    }
    const cmsId = (0, _utils.createIdentifier)({
      id: dto.id,
      version: 1
    });
    await this.context.cms.updateEntry(model, cmsId, dto);
  }
}
exports.UpdateTranslatableCollectionRepository = UpdateTranslatableCollectionRepository;

//# sourceMappingURL=UpdateTranslatableCollectionRepository.js.map